Get Campaign/Subcampaign
curl --request GET \
--url https://server.stage.overflow.co/api/v3/campaigns/{campaignId} \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/campaigns/{campaignId}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "7710f34fd5061afeec3eab59",
"archivedAt": "2025-01-01T00:00:00.000Z",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"name": "Builders Fundraiser",
"startDate": "2025-01-01T00:00:00.000Z",
"endDate": "2025-12-01T00:00:00.000Z",
"status": "ACTIVE",
"displayOrder": 1,
"isSubcampaign": false,
"hideFromDonors": false,
"isActive": false,
"locationIds": [
"<string>"
],
"parentCampaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"subcampaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"applyToAllCampaigns": true,
"totalContributionCount": 100,
"totalContributionValue": 1000,
"uniqueDonorCount": 100
}
}Get Campaign/Subcampaign
Returns campaign/subcampaign for given ID.
GET
/
api
/
v3
/
campaigns
/
{campaignId}
Get Campaign/Subcampaign
Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
The Id of the campaign/subcampaign to get.
Example:
"2ea1ae03ca521e437db76d76"
Response
Campaign for the given id.
Show child attributes
Show child attributes
Last modified on July 14, 2026
Related topics
Get CampaignsGet SubscriptionsGet Subscription By IdGet Subscriptions By DonorGet ContributionWas this page helpful?